Process Payments
Process payments for an order. See Payment Processing for more information.
Authentication
AuthorizationBearer
OAuth scopes
The required scopes are granted to the payment_access_token upon generation.
Authentication header
Further reading
For an outline of the Process Payment API call flow and more information about authenticating, see Authentication and Example Requests.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
This required value must be application/vnd.bc.v1+json.
Allowed values:
Request
This endpoint expects an object.
payment
Response
Payment has been successfully processed
id
Identifier for this transaction
transaction_type
Transaction type for this payment
Allowed values:
status
Status to indicate a success response
Allowed values:
Errors
400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error